Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.dom.html2
Class JRexHTMLTableSectionElementImpl

    java.lang.Object
      org.mozilla.jrex.dom.JRexNodeImpl
          org.mozilla.jrex.dom.JRexElementImpl
              org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
                  org.mozilla.jrex.dom.html2.JRexHTMLTableSectionElementImpl

All Implemented Interfaces:
  Element, HTMLElement, HTMLTableSectionElement, Node

public class JRexHTMLTableSectionElementImpl
extends JRexHTMLElementImpl
implements HTMLTableSectionElement

A class implementing org.w3c.dom.html2.HTMLTableSectionElement interface.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `HTMLTableSectionElement`

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`void` | `deleteRow(int index)` Delete a row from this section.
`String` | `getAlign()` Horizontal alignment of data in cells.
`String` | `getCh()` Alignment character for cells in a column.
`String` | `getChOff()` Offset of alignment character.
`HTMLCollection` | `getRows()` The collection of rows in this table section.
`String` | `getVAlign()` Vertical alignment of data in cells.
`HTMLElement` | `insertRow(int index)` Insert a row into this section.
`void` | `setAlign(String align)` Horizontal alignment of data in cells.
`void` | `setCh(String ch)` Alignment character for cells in a column.
`void` | `setChOff(String chOff)` Offset of alignment character.
`void` | `setVAlign(String vAlign)` Vertical alignment of data in cells.

Methods inherited from class org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.mozilla.jrex.dom.JRexElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.mozilla.jrex.dom.JRexNodeImpl
`appendChild, cloneNode, equals, finalize, getAttributes, getChildNodes, getEventTarget, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, hashCode, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix, toString`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html2.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getAlign

    public String getAlign()

  Description copied from interface: `HTMLTableSectionElement`
  Horizontal alignment of data in cells. See the `align` attribute for HTMLTheadElement for details.

  Specified by:
    `getAlign` in interface `HTMLTableSectionElement`

### setAlign

    public void setAlign(String align)

  Description copied from interface: `HTMLTableSectionElement`
  Horizontal alignment of data in cells. See the `align` attribute for HTMLTheadElement for details.

  Specified by:
    `setAlign` in interface `HTMLTableSectionElement`

### getCh

    public String getCh()

  Description copied from interface: `HTMLTableSectionElement`
  Alignment character for cells in a column. See the char attribute definition in HTML 4.01.

  Specified by:
    `getCh` in interface `HTMLTableSectionElement`

### setCh

    public void setCh(String ch)

  Description copied from interface: `HTMLTableSectionElement`
  Alignment character for cells in a column. See the char attribute definition in HTML 4.01.

  Specified by:
    `setCh` in interface `HTMLTableSectionElement`

### getChOff

    public String getChOff()

  Description copied from interface: `HTMLTableSectionElement`
  Offset of alignment character. See the charoff attribute definition in HTML 4.01.

  Specified by:
    `getChOff` in interface `HTMLTableSectionElement`

### setChOff

    public void setChOff(String chOff)

  Description copied from interface: `HTMLTableSectionElement`
  Offset of alignment character. See the charoff attribute definition in HTML 4.01.

  Specified by:
    `setChOff` in interface `HTMLTableSectionElement`

### getVAlign

    public String getVAlign()

  Description copied from interface: `HTMLTableSectionElement`
  Vertical alignment of data in cells. See the `valign` attribute for HTMLTheadElement for details.

  Specified by:
    `getVAlign` in interface `HTMLTableSectionElement`

### setVAlign

    public void setVAlign(String vAlign)

  Description copied from interface: `HTMLTableSectionElement`
  Vertical alignment of data in cells. See the `valign` attribute for HTMLTheadElement for details.

  Specified by:
    `setVAlign` in interface `HTMLTableSectionElement`

### getRows

    public HTMLCollection getRows()

  Description copied from interface: `HTMLTableSectionElement`
  The collection of rows in this table section.

  Specified by:
    `getRows` in interface `HTMLTableSectionElement`

### insertRow

    public HTMLElement insertRow(int index)
                          throws DOMException

  Description copied from interface: `HTMLTableSectionElement`
  Insert a row into this section. The new row is inserted immediately before the current `index`th row in this section. If `index` is -1 or equal to the number of rows in this section, the new row is appended.

  Specified by:
    `insertRow` in interface `HTMLTableSectionElement`
  Parameters:
    `index` - The row number where to insert a new row. This index starts from 0 and is relative only to the rows contained inside this section, not all the rows in the table.
  Returns:
    The newly created row.
  Throws:
    `DOMException` - INDEX_SIZE_ERR: Raised if the specified index is greater than the number of rows of if the index is a negative number other than -1.

### deleteRow

    public void deleteRow(int index)
                   throws DOMException

  Description copied from interface: `HTMLTableSectionElement`
  Delete a row from this section.

  Specified by:
    `deleteRow` in interface `HTMLTableSectionElement`
  Parameters:
    `index` - The index of the row to be deleted, or -1 to delete the last row. This index starts from 0 and is relative only to the rows contained inside this section, not all the rows in the table.
  Throws:
    `DOMException` - INDEX_SIZE_ERR: Raised if the specified index is greater than or equal to the number of rows or if the index is a negative number other than -1.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.